summaryrefslogtreecommitdiffstats
path: root/refresh-translations
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2018-11-20 16:09:26 +0000
committerintrigeri <intrigeri@boum.org>2018-11-20 16:09:26 +0000
commit345ef56d47d28d3ce44b16cc0d5b8ed28ac1a377 (patch)
tree783de21929bcd281fabf344ed20e405ed44214ff /refresh-translations
parent29854ab5768821d753c81d54961950c0307d4608 (diff)
refresh-translations: explain a bit what's happening when po/missing exists.
Without this, the only indication one gets is that the script exits with exit code 3. Not everyone has a shell that complains loudly about programs exiting with a non-zero exit code.
Diffstat (limited to 'refresh-translations')
-rwxr-xr-xrefresh-translations6
1 files changed, 5 insertions, 1 deletions
diff --git a/refresh-translations b/refresh-translations
index 0ef9827..0b015a9 100755
--- a/refresh-translations
+++ b/refresh-translations
@@ -184,7 +184,11 @@ intltool_update_pot
# If left out files are detected, intltool-update --maintain writes
# them to po/missing.
-no_left_out_files || exit 3
+if ! no_left_out_files; then
+ echo "E: These files should be listed in POTFILES.in or POTFILES.skip:" >&2
+ cat po/missing
+ exit 3
+fi
# Update PO files
intltool_update_po $(po_languages)